TYPO3 Core - Bug #82193

FAL relation: Default file meta data values shown in wrong language
2017-08-24 14:18 - Christian Weiske

Status: Closed Start date: 2017-08-24
Priority: Should have Due date:

Assignee: % Done: 0%
Category: File Abstraction Layer (FAL) Estimated time: 0.00 hour
Target version:

TYPO3 Version: 8 Complexity:

PHP Version: Is Regression:

Tags: Sprint Focus:

Description

We've got a bi-lingual TYPOS with German as first (default) and English as second language.
Our images have translated meta data (German and English).

When selecting images in an image content element in the default translation, the image meta data (title, alt text, description) default
values are shown in the wrong language.

Example:

- Image has default title "Bild DE" and translated title "Image EN"

- Image content element is created in the default language (German), and the image is selected
- The "Title" of the FAL relation correctly shows "Bild DE"

- The "Image Metadata" shows 'Default: "Image EN" instead of 'Default: "Bild DE™

See the screenshot.

Happens with TYPO3 8.7.4.

Related issues:

Is duplicate of TYPO3 Core - Bug #75040: placeholder pointing to column of re... Closed 2016-03-14
History

#1 - 2017-11-02 18:53 - Christian Kuhn

- Is duplicate of Bug #75040: placeholder pointing to column of related record shows values from wrong language added

#2 - 2017-11-02 18:53 - Christian Kuhn

confirmed and closed as dupe of #75040

#3 - 2017-11-02 18:54 - Christian Kuhn

- Status changed from New to Closed

Files

2017-08-24 typo3 image fal relation english default meta.png 60.8 KB 2017-08-24 Christian Weiske
